LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
decode_ctx_t Struct Reference

`#include <ir_remote_types.h>`

## Data Fields
ir_code | code
ir_code | pre
ir_code | post
int | repeat_flag
lirc_t | max_remaining_gap
lirc_t | min_remaining_gap

## Detailed Description

State describing code, pre, post + gap and repeat state.

Definition at line 150 of file ir_remote_types.h.

## Field Documentation

ir_code decode_ctx_t::code

Code part, matched to code defintion.

Definition at line 151 of file ir_remote_types.h.

lirc_t decode_ctx_t::max_remaining_gap

Estimated max time of trailing gap.

Definition at line 155 of file ir_remote_types.h.

lirc_t decode_ctx_t::min_remaining_gap

Estimated min time of trailing gap.

Definition at line 156 of file ir_remote_types.h.

ir_code decode_ctx_t::post

post data, sent after code.

Definition at line 153 of file ir_remote_types.h.

ir_code decode_ctx_t::pre

pre data, before code.

Definition at line 152 of file ir_remote_types.h.

int decode_ctx_t::repeat_flag

True if code is a repeated one.

Definition at line 154 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/ir_remote_types.h (b8a7715 2015-02-10 14:16:33 +0100)